Support » Plugin: HTML Editor Syntax Highlighter » Compatibility with GeneratePress theme

  • Resolved Alain Aubry

    (@caban13)


    Hi

    I use the GeneratePress theme, for the most part, your plugin works perfectly with this theme, both with or without Gutenberg.

    They have an option for editing called “Sections” which is like a mini page editor, in certain occasions it proves useful. When using this option, your plugin does not come up.

    I already have a ticket open with them, they think you are only targeting the core editor (absolutely normal).

    Do you think it is possible to enable this?

    Thank you so much!
    Alain Aubry

Viewing 4 replies - 1 through 4 (of 4 total)
  • Thread Starter Alain Aubry

    (@caban13)

    Is there a way to hook/filter into your plugin and apply it to these “Sections” ?
    They are using the wp.editor javascript library in WordPress to initialize the Sections.
    They are happy to take a look at the issue.
    Thanks

    Plugin Author James Bradford

    (@arniebradfo)

    This kind of compatibility (with any random plugin what uses wp-editor) requires that I rewrite the app from the ground up.

    I’m working on a v3 that will enable this, but It’ll take some time.

    Thread Starter Alain Aubry

    (@caban13)

    Thank you for answer.
    I will wait for v3 then.

    Thread Starter Alain Aubry

    (@caban13)

    Resolved

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Compatibility with GeneratePress theme’ is closed to new replies.